/*** DARK SEARCH FORM ***/

.search-container {
	width:100%;
	color: white;
	min-height: 100%;
	font-size: 36px;
	display: none;
	z-index: 1000;
}
.search-container.opened {
    display: flex;
    flex-direction: column;
    z-index: 100;
}
.search-container.opened ~ .footer-bottom {
	display: none;
}


/* KEYWORD SEARCH */

.searchandfilter[data-sf-form-id="969"] {
	width: 90%;
	padding: 125px 0 250px 0;
	margin: 0 auto;
	max-width: 500px;
}
.searchandfilter[data-sf-form-id="969"] .sf-input-text {
	display: flex;
	margin-bottom: 25px;
	padding: 15px;
	background: rgba(255, 255, 255, 0.05);
	border: 1px solid rgba(155, 155, 155, 0.3);
	border-radius: 5px;
	width: 100%;
}
.searchandfilter[data-sf-form-id="969"] .sf-field-search label{
	width: 100%;
	margin: 0;
	padding: 0;
	cursor: default;
	font-weight: 500;
}
.searchandfilter[data-sf-form-id="969"] .sf-field-search input{
	color: white;
	font-family: Playfair Display;
	font-size: 22px;
	outline: none;
	width: 100%;
}


/* CATEGORIES */

/* Remove default radio btn */
.searchandfilter[data-sf-form-id="969"] .sf-input-radio {
	display: none;
}
.searchandfilter[data-sf-form-id="969"] .sf-field-category label {
	position: relative;
	display: flex;
	font-size: 32px;
	font-weight: 500;
	padding-left: 30px;
	justify-content:space-between;
}
	
/* Create a custom radio btn */
.searchandfilter[data-sf-form-id="969"] .sf-level-1 label:before,
.searchandfilter[data-sf-form-id="969"] .sf-level-1 label:after {
	content: "";
	position: absolute;
	top: 25%;
	left: 0;
	height: 18px;
	width: 18px;
	border-radius: 4px;
}

.searchandfilter[data-sf-form-id="969"] .sf-level-1 label:before {
	background-color: rgba(155, 155, 155, 0.3);
	border: 2px solid rgba(255, 255, 255, 0.05);
}

.searchandfilter[data-sf-form-id="969"] .sf-level-1 label:after {
	opacity: 0;
	background-color: #F34509;
	background-image: url('../img/marked.svg');
	background-repeat: no-repeat;
	background-position: center;
	background-size: contain;
	-webkit-transition: opacity .2s;
	transition: opacity .1s;
}

.searchandfilter[data-sf-form-id="969"] .dropdown  {
	display: none;
}
.searchandfilter[data-sf-form-id="969"] .sf-field-category li > label > .dropdown {
	display: inline-block;
}

.searchandfilter[data-sf-form-id="969"] .sf-level-1 input:checked ~ label:after {
	opacity: 1;
}

img.dropdown {
	transition: .15s all linear;
}
.sf-field-category li.open > label > .dropdown {
	transform: rotate(180deg);
}
.searchandfilter[data-sf-form-id="969"] .children {
	padding: 10px 0 0 45px;
	display: none;
}
.searchandfilter[data-sf-form-id="969"] .children .sf-label-radio{
	font-size: calc(200% - 2px);
} 

.sf-field-category li.open > .children {
	padding: 10px 0 0 25px;
	display: block;
	border-top: 1px solid #9B9B9B;
    margin-top: 10px;
		font-size: 85%;
}
.searchandfilter[data-sf-form-id="969"] .sf-field-submit {
	position: fixed;
	bottom: 0;
	left: 0;
	width: 100%;
	background: #201811;
	border-radius: 20px 20px 0px 0px;
	display: flex;
	justify-content: center;
	align-items: center;
	/* height: 115px; */
	height: 135px;
	flex-direction: column;
	z-index: 1000;
}
.searchandfilter[data-sf-form-id="969"] input[type=submit] {
	width: 500px;
    max-width: 92.5%;
	background-color: #F34509;
	outline: none;
	border: none;
	color: white;
	padding: 16px;
	border-radius: 100px;
	font-size: 22px;
	transition: all .15s ease-in-out;
	cursor: pointer;
}
.sf-level-0 {
	border-bottom: 1px solid #9B9B9B;
	padding: 8px 0 10px 0 !important;
	font-size: 16px;
}
.sf-level-0 > label {
	padding-left: 0 !important;
}

#search-filter-form-969 .sf-field-taxonomy-priority {
	display: none;
}



/*** MODAL FILTERS ***/

#menutop {
	top: 13%;
}
.modal.fade.in {	
 	padding-right: 0 !important;
}
.modal-content {
	padding: 15px 20px;
}
/* header */
.modal-header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-direction: column;
	border: none;
}
.modal-header:before,
.modal-header:after {
	display: none;
}
.modal-header .name-n-close {
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-direction: row;
	width: 100%;
}
.modal-title {
	text-transform: capitalize;
	align-self: baseline;
	margin-top: 5px;
}
.name-n-close {	
	margin-bottom: 25px;
}
.cat-description {
	text-align: justify;
}
.modal .close {
	background: #F34509;
	opacity: 1;
	text-shadow: none;
	display: flex;
	justify-content: center;
	align-items: center;
	color: white;
	padding: 13px 16px;
	border-radius: 100px;
	gap: 15px
}
.modal .close span {
	font-size: 17px;
	font-weight: 500;
	letter-spacing: .5px;
	align-self: baseline;
}
img.close-x {
	height: 13px;
	transform: translatey(-.5px);
}
/* dropdowns */
.modal .sf-input-select {
	-webkit-appearance: none;
    -moz-appearance: none;
    background: transparent;
    background-image: url(/wp-content/uploads/2023/03/select-arrow-modal.svg);
    background-repeat: no-repeat;
    background-position-x: 95%;
    background-position-y: 50%;
    border: 2px solid rgba(155, 155, 155, 0.45);
    border-radius: 5px;
	padding: 2px 5px;
	font-weight: 500;
}
.modal  h4 {
	font-size: 25px;
	padding: 0;
	line-height: 30px;
}
.modal .sf-field-taxonomy-priority, .modal .sf-field-sort_order,
.modal .sf-field-post-meta-point{
	display: flex;
	gap: 12px;
	font-size: 18px !important;
}
.modal .sf-field-taxonomy-priority {
	float: left;
	margin-right: 50px;
}
/* tags */
ul > li.sf-field-taxonomy-area,
ul > li.sf-field-taxonomy-school {
	margin-top: 25px;
}
.sf-field-taxonomy-area ul, .sf-field-taxonomy-school ul {	
	--grid-layout-gap: 10px;
	--grid-column-count: 4;
	--grid-item--min-width: 185px;

	/* Calculated values. */
	--gap-count: calc(var(--grid-column-count) - 1);
	--total-gap-width: calc(var(--gap-count) * var(--grid-layout-gap));
	--grid-item--max-width: calc((100% - var(--total-gap-width)) / var(--grid-column-count));

	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(max(var(--grid-item--min-width), var(--grid-item--max-width)), 1fr));
	grid-gap: var(--grid-layout-gap);
	
	margin-top: 15px;
}
.sf-field-taxonomy-area ul li, .sf-field-taxonomy-school ul li {
	font-size: 20px;
}
.sf-field-taxonomy-area li input, .sf-field-taxonomy-school li input {
	margin-top: 0;
	border: none;
}
.sf-field-taxonomy-area label, .sf-field-taxonomy-school label {
	font-weight: 400 !important;
}
.sf-field-taxonomy-area .sf-level-0, .sf-field-taxonomy-school .sf-level-0 {
	border: none;
	padding: 3px 0 !important;
}
/* submit */
.modal .sf-field-submit {
	display: flex;
	justify-content: center;
	margin-top: 25px;
}
.modal .sf-field-submit input {
	width: 50%;
	background: #F34509;
	border: none;
	border-radius: 400px;
	text-shadow: none;
	display: flex;
	justify-content: center;
	align-items: center;
	color: white;
	padding: 13px 16px; 
	font-size: 17px;	
	letter-spacing: .5px;
}
/* hide categories field */
.modal ul > li.sf-field-category {
	display: none;
}

/* remove default checkbox */
.modal .sf-input-checkbox {
	display: none;
}
	
/* create custom checkbox */
.modal .sf-label-checkbox {
	position: relative;
	margin-left: 30px;
}
.modal .sf-label-checkbox:before {
	content: '';
	position: absolute;
	display: flex;
	justify-content: center;
	align-items:center;
	top: 0;
	left: -30px;
	height: 19px;
	width: 19px;
	border-radius: 4px;
	border: 1px solid #9B9B9B;
	transform: translatey(25%);
}
/* when checkbox is checked, add red background */
.modal .sf-option-active .sf-label-checkbox:before {
	background-color: #F34509;
	border-color: #F34509;
	background-size: contain;
}
.modal .sf-option-active .sf-label-checkbox:after {
	content: '';
	background: url('/wp-content/uploads/2023/03/redbg-checkmark-1.svg');
	position: absolute;
	display: flex;
	justify-content: center;
	align-items:center;
	top: 4px;
	left: -27px;
	height: 14px;
	width: 14px;
	border-radius: 4px;
	transform: translatey(25%);
	background-size: contain;
	background-repeat: no-repeat;
}




/************** MOBILE STYLES  **************/




@media(max-width: 900px) {
	
	/*** DARK SEARCH FORM 900px ***/
	.searchandfilter[data-sf-form-id="969"] .sf-field-search input {
		font-size: 21px;
	}
	.search-by-keyword label img {
		width: 20px;
	}
	.searchandfilter[data-sf-form-id="969"] .sf-field-category label {
		font-size: 26px;
	}
	.sf-field-category li.open > .children {
			margin-left: 12px;
			padding-left: 15px;
	}
	
	
	/*** MODAL FILTERS 900px ***/	
	#menutop {
		top: 10%;
	}
}

@media(max-width: 700px) {
	
	/***** MODAL FILTERS 700px *****/
	
	#menutop {
		top: 8%;
	}
	.modal-content {
		padding: 10px 15px;
	}
	
	/* header */
	.modal-header {
		padding-bottom: 0;
	}
	.modal-header h1 {
		font-size: 30px;
	}
	.name-n-close {	
		margin-bottom: 10px;
	}
	.modal .close {
		padding: 10px 13px;
		gap: 8px
	}
	.modal .close span {
		font-size: 14px;
		letter-spacing: .5px;
	}
	img.close-x {
		height: 12px;
		transform: translatey(0);
	}
	
	.modal  h4 {
		font-size: 23px;
	}
	.modal .sf-field-taxonomy-priority, .modal .sf-field-sort_order,
	.modal .sf-field-post-meta-point {
		font-size: 16px !important;
	}
	.modal .sf-field-taxonomy-priority {
		margin-right: 15px;
	}
	
	/* tags */
	.sf-field-taxonomy-area ul, .sf-field-taxonomy-school ul {
		margin-top: 10px;
	}
	.sf-field-taxonomy-area ul li, .sf-field-taxonomy-school ul li {
		font-size: 16px;
	}
	.sf-field-taxonomy-area .sf-level-0, .sf-field-taxonomy-school .sf-level-0 {
		padding: 0 !important;
	}
	
	/* submit */
	.modal .sf-field-submit {
		margin-top: 15px;
	}
	.modal .sf-field-submit input {
		width: 75%;
		padding: 10px 13px; 
		font-size: 15px;
	}

	/* create custom checkbox */
	.modal .sf-label-checkbox {
		position: relative;
		margin-left: 20px;
	}
	.modal .sf-label-checkbox:before {
		top: 0;
		left: -20px;
		height: 15px;
		width: 15px;
	}
	.modal .sf-option-active .sf-label-checkbox:after {
		top: 3px;
		left: -18px;
		height: 11px;
		width: 11px;
	}
}

@media(max-width: 575px) {
	
	/***** MODAL FILTERS 575px *****/
	
	#menutop {
		top: 5%;
	}
	.modal-content {
		padding: 10px 15px;
	}
	
	/* header */
	.modal-header h1 {
		font-size: 28px;
	}
	
	.modal  h4 {
		font-size: 22px;
	}
	.modal .sf-field-taxonomy-priority {
		float: none;
	}
	.modal .sf-field-taxonomy-priority, .modal .sf-field-sort_order,
	.modal .sf-field-post-meta-point {
		flex-direction: column;
		gap: 5px;
		font-size: 15px !important;
	}
	.modal .sf-field-taxonomy-priority {
		margin-right: 0;
	}
	.searchandfilter select.sf-input-select {
		min-width: 100%;
	}
	
	/* submit */
	.modal .sf-field-submit {
		margin-top: 10px;
	}
	.modal .sf-field-submit input {
		width: 97.5%;
		font-size: 14px;
	}
	
}
